/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCResource.java,v 1.2 2004/03/19 14:31:51 sauthieg Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.dbm;

// Java imports
import java.util.ArrayList;

import org.objectweb.jonas.management.j2eemanagement.J2EEResource;

/**
 * MBean class for JDBCResource Management
 *
 * @author Eric Hardesty JSR 77 (J2EE Management Standard)
 *
 */
public class JDBCResource extends J2EEResource {

    // JSR 77
    private ArrayList jdbcDataSources = new ArrayList();

    public JDBCResource(String objectName) {
        super(objectName);
    }

    public String[] getJdbcDataSources() {
        return ((String[]) jdbcDataSources.toArray(new String[jdbcDataSources.size()]));
    }
 
 
    public void setJdbcDataSources(String jdbcDataSourceName) {
		jdbcDataSources.add(jdbcDataSourceName);
    }   
}
