/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JCAResource.java,v 1.3 2004/03/19 14:31:51 sauthieg Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.resource;

// Java imports
import java.util.ArrayList;

import org.objectweb.jonas.management.j2eemanagement.J2EEResource;

/**
 * MBean class for JCA Resource Management
 *
 * @author Adriana Danes JSR 77 (J2EE Management Standard)
 *
 */
public class JCAResource extends J2EEResource {

    // JSR 77
    private ArrayList connectionFactories = new ArrayList();
    private ArrayList adminObjects = new ArrayList();
    private ArrayList activationSpecs = new ArrayList();

    public JCAResource(String objectName) {
        super(objectName);
    }

    public String[] getActivationSpecs() {
        return ((String[]) activationSpecs.toArray(new String[activationSpecs.size()]));
    }
 
    public String[] getAdminObjects() {
        return ((String[]) adminObjects.toArray(new String[adminObjects.size()]));
    }
 
    public String[] getConnectionFactories() {
        return ((String[]) connectionFactories.toArray(new String[connectionFactories.size()]));
    }
 
    public void setAdminObjects(String adminObjectName) {
        adminObjects.add(adminObjectName);
    }   

    public void setActivationSpecs(String activationSpecsObjectName) {
        activationSpecs.add(activationSpecsObjectName);
    }   
    public void setConnectionFactory(String connectionFactoryObjectName) {
        connectionFactories.add(connectionFactoryObjectName);
    }   
}
