/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: Florent BENOIT
 * --------------------------------------------------------------------------
 * $Id: ClientDeploymentTest.java,v 1.2 2003/12/01 08:09:26 coqp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_client.deployment.tests;

import java.io.Reader;
import org.objectweb.jonas_lib.deployment.xml.AbsElement;
import org.objectweb.jonas_lib.deployment.tests.AbsDeploymentTest;
import org.objectweb.jonas_client.deployment.api.ClientContainerDeploymentDesc;
import org.objectweb.jonas_client.deployment.xml.ApplicationClient;

/**
 * Defines a class for Client deployment tests
 * @author Florent Benoit*
 * @author Philippe Coq
 */
public class ClientDeploymentTest extends AbsDeploymentTest {


    /**
     * 
     */

    public AbsElement getTopLevelElement() throws Exception {
        ApplicationClient clientApp = new ApplicationClient();
        return clientApp;
    }

    /**
     * 
     */

    public String parse(Reader reader, String name, boolean validation) throws Exception {
        ClientContainerDeploymentDesc.setParsingWithValidation(validation);
        String xmlParsed = ClientContainerDeploymentDesc.loadApplicationClient(reader, "test").toXML();
        return xmlParsed;
    }


}
