/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A. 
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 *
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: jonas-team
 * --------------------------------------------------------------------------
 * $Id: JonasClient.java,v 1.1 2003/10/29 10:10:28 coqp Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_client.deployment.xml;

import org.objectweb.jonas_lib.deployment.xml.AbsJonasEnvironmentElement;
import org.objectweb.jonas_lib.deployment.xml.TopLevelElement;


/** 
 * This class defines the implementation of the element jonas-client
 * 
 * @author jonas-team
 */

public class JonasClient extends  AbsJonasEnvironmentElement implements TopLevelElement {

   

    /**
     * jonas-security
     */ 
    private JonasSecurity jonasSecurity = null;


    public JonasClient() {
        super();
    }

    /** 
     * @return the jonas-security
     */
    public JonasSecurity getJonasSecurity() {
        return jonasSecurity;
    }

    /** 
     * Set the jonas-security
     * @param jonasSecurity jonasSecurity
     */
    public void setJonasSecurity(JonasSecurity jonasSecurity) {
        this.jonasSecurity = jonasSecurity;
    }

    /**
     * Represents this element by it's XML description.
     * @param indent use this indent for prexifing XML representation.
     * @return the XML description of this object.
     */
    public  String toXML(int indent) {
        StringBuffer sb = new StringBuffer();
        sb.append(indent(indent));
        sb.append("<jonas-client>\n");

        indent += 2;

        // jonas-ejb-ref
        sb.append(getJonasEjbRefList().toXML(indent));
        // jonas-resource
        sb.append(getJonasResourceList().toXML(indent));
        // jonas-resource-env
        sb.append(getJonasResourceEnvList().toXML(indent));
        // jonas-security
        if (jonasSecurity != null) {
            sb.append(jonasSecurity.toXML(indent));
        }
        indent -= 2;
        sb.append(indent(indent));
        sb.append("</jonas-client>\n");

        return sb.toString();
    }
}
