/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A. 
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 *
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: JOnAS team
 * --------------------------------------------------------------------------
 * $Id: JonasSession.java,v 1.10 2004/03/19 14:31:47 sauthieg Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_ejb.deployment.xml;


/** 
 * This class defines the implementation of the element jonas-session
 * 
 * @author JOnAS team
 */

public class JonasSession extends  JonasCommonEjb {


    /**
     * session-timeout
     */ 
    private String sessionTimeout = null;


    /**
     * Constructor
     */
    public JonasSession() {
        super();
    }

    /** 
     * Gets the session-timeout
     * @return the session-timeout
     */
    public String getSessionTimeout() {
        return sessionTimeout;
    }

    /** 
     * Set the session-timeout
     * @param sessionTimeout sessionTimeout
     */
    public void setSessionTimeout(String sessionTimeout) {
        this.sessionTimeout = sessionTimeout;
    }



    /**
     * Represents this element by it's XML description.
     * @param indent use this indent for prexifing XML representation.
     * @return the XML description of this object.
     */
    public String toXML(int indent) {
        StringBuffer sb = new StringBuffer();
        sb.append(indent(indent));
        sb.append("<jonas-session>\n");

        indent += 2;

        // ejb-name
        sb.append(xmlElement(getEjbName(), "ejb-name", indent));
        // jndi-name
        sb.append(xmlElement(getJndiName(), "jndi-name", indent));
         // jonas-ejb-ref
        sb.append(getJonasEjbRefList().toXML(indent));
        // jonas-resource
        sb.append(getJonasResourceList().toXML(indent));
        // jonas-resource-env
        sb.append(getJonasResourceEnvList().toXML(indent));
        // jonas-service-ref
        sb.append(getJonasServiceRefList().toXML(indent));
        // session-timeout
        sb.append(xmlElement(sessionTimeout, "session-timeout", indent));
        // max-cache-size
        sb.append(xmlElement(getMaxCacheSize(), "max-cache-size", indent));
        // min-pool-size
        sb.append(xmlElement(getMinPoolSize(), "min-pool-size", indent));
        indent -= 2;
        sb.append(indent(indent));
        sb.append("</jonas-session>\n");

        return sb.toString();
    }
}
