/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: Philippe Coq
 * --------------------------------------------------------------------------
 * $Id: JonasConnectorSchemas.java,v 1.1 2003/12/01 08:09:28 coqp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_rar.deployment.api;

import org.objectweb.jonas_lib.deployment.api.CommonsSchemas;

/**
 * This class defines the declarations of Schemas for and jonas-ra.xml
 * @author Philippe Coq
 */
public class JonasConnectorSchemas extends CommonsSchemas {


public static String JONAS_RA_ROOT_ELEMENT = 
    "<jonas-connector xmlns=\"http://www.objectweb.org/jonas/ns\" \n " +
    "xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" \n " +
    "xsi:schemaLocation=\"http://www.objectweb.org/jonas/ns \n "+
    "http://www.objectweb.org/jonas/ns/jonas-connector_4_0.xsd\" >";
    /**
     * List of schemas used for jonas-web.xml
     */
    private static final String[] JONAS_CONNECTOR_SCHEMAS = new String[] {
        "jonas-connector_4_0.xsd"
    };


    /**
     * Build a new object for Schemas handling
     */
    public JonasConnectorSchemas() {
        super();
        addSchemas(JONAS_CONNECTOR_SCHEMAS);
    }

}
