/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: Philipe Coq
 * --------------------------------------------------------------------------
 * $Id: JonasWebDeploymentTest.java,v 1.1 2003/12/01 08:09:29 coqp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_web.deployment.tests;

import java.io.Reader;
import org.objectweb.jonas_lib.deployment.xml.AbsElement;
import org.objectweb.jonas_lib.deployment.tests.AbsDeploymentTest;
import org.objectweb.jonas_web.deployment.api.WebContainerDeploymentDesc;
import org.objectweb.jonas_web.deployment.xml.JonasWebApp;


/**
 * Defines a class for Web deployment tests
 * @author Florent Benoit
 * @author Philippe Coq
 */
public class JonasWebDeploymentTest extends AbsDeploymentTest {

   /**
     * 
     */

    public AbsElement getTopLevelElement() throws Exception {
        JonasWebApp jonasWebApp = new JonasWebApp();
        return jonasWebApp;
    }


    /**
     * 
     */

    public String parse(Reader reader, String name, boolean validation) throws Exception {
        WebContainerDeploymentDesc.setParsingWithValidation(validation);
        String xmlParsed = WebContainerDeploymentDesc.loadJonasWebApp(reader, "test").toXML();
        return xmlParsed;
    }



}
