/*
 * JOnAS : Java(TM) OpenSource Application Server
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial Developer : Guillaume Sauthier
 * --------------------------------------------------------------------------
 * $Id: WsClientGenerator.java,v 1.1 2004/01/21 15:48:23 sauthieg Exp $
 * --------------------------------------------------------------------------
*/

package org.objectweb.jonas_ws.wsgen.generator;

import org.objectweb.jonas_ws.deployment.api.ServiceRefDesc;
import org.objectweb.jonas_ws.wsgen.WsGenException;
import org.objectweb.jonas_ws.wsgen.archive.Archive;
import org.objectweb.jonas_ws.wsgen.ddmodifier.WsClientDDModifier;


/**
 * Generate sources and/or config for WebServices clients.
 *
 * @author Guillaume Sauthier
 */
public abstract class WsClientGenerator extends Generator {
    /** service-ref describing client dependency on a webservice */
    protected ServiceRefDesc ref;

    /** jonas-service-ref modifier */
    protected WsClientDDModifier modifier;

    /** archive */
    protected Archive archive;

    /**
     * Creates a new WsClientGenerator.
     *
     * @param config Generator Configuration
     * @param serviceRef client dependency on a webservice
     * @param ddm jonas-service-ref modifier
     * @param arch modified archive
     *
     * @throws WsGenException When instanciation fails
     */
    public WsClientGenerator(Generator.Config config,
        ServiceRefDesc serviceRef, WsClientDDModifier ddm, Archive arch)
        throws WsGenException {
        super(config);
        ref = serviceRef;
        modifier = ddm;
        archive = arch;
    }
}
