/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AppliBean.java,v 1.1 2004/04/05 15:05:42 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.applimet;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

public abstract class AppliBean implements SessionBean {

	private MetHome th;
	private Met tr;

	public void ejbRemove(){
		System.out.println("AppliBean: ejbRemove() Entre");
		try {
			System.out.println("AppliBean: ejbRemove() appel de tr.remove()");
			tr.remove();
		} 
		catch (Exception e) {			
			System.out.println("AppliBean: ejbRemove(): Problme sur suppression EJB");
			e.printStackTrace();
		}

		System.out.println("AppliBean: ejbRemove() Sortie");
	}

	public void ejbCreate() throws CreateException{
		System.out.println("AppliBean: ejbCreate() Entre");
		try{
			Context ctx = new InitialContext();
			Object objref=ctx.lookup(MetHome.JNDI_NAME);
			th=(MetHome)PortableRemoteObject.narrow(objref, MetHome.class);
			tr=th.create();
		}
		catch(NamingException e){
			System.out.println("AppliBean: ejbCreate() Erreur JNDI");
		}
		catch(ClassCastException e){
			System.out.println("AppliBean: ejbCreate() Problme de Cast sur EJB");
		}
		catch(CreateException e){
			throw e;		
		} 
		catch(Exception e){
			System.out.println("AppliBean: ejbCreate() Exception");
		} 

		System.out.println("AppliBean: ejbCreate() Sortie");
	}

    public void methodeApplicative(){ 
        System.out.println("AppliBean: methodeApplicative() Entre");
        try {
            System.out.println("AppliBean: methodeApplicative() appel de tr.methode1()");
            tr.methode1();
            //System.out.println("AppliBean: methodeApplicative() 2eme appel de tr.methode1()");
            //tr.methode1();
        }
        catch (Exception e){
            System.out.println("AppliBean: methodeApplicative() Exception");
            e.printStackTrace();
        } 
        System.out.println("AppliBean: methodeApplicative() Sortie");
    }
}
