// WsClient1SLR.java
// Stateless Session bean

package org.objectweb.jonas.jtests.beans.wsclient;



import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.xml.namespace.QName;
import javax.xml.rpc.Call;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceException;
import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;


/**
 *
 */
public class WsClient1SLR implements SessionBean {

    static private Logger logger = null;
    SessionContext ejbContext;

    Service zip;

    // ------------------------------------------------------------------
    // SessionBean implementation
    // ------------------------------------------------------------------


    public void setSessionContext(SessionContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = ctx;
    }
        

    public void ejbRemove() {
        logger.log(BasicLevel.DEBUG, "");
    }
        

    public void ejbCreate() throws CreateException {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbPassivate() {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbActivate() {
        logger.log(BasicLevel.DEBUG, "");
    }
    
    // ------------------------------------------------------------------
    // WsClient1 implementation
    // ------------------------------------------------------------------

    public boolean lookupServiceJNDI() {
        logger.log(BasicLevel.DEBUG, "lookupServiceJNDI");
        zip = null;
        try {
            InitialContext ic = new InitialContext();
            zip = (Service) ic.lookup("ws/FrenchZipService");
        } catch (NamingException ne) {
            logger.log(BasicLevel.ERROR, "looking ws/FrenchZipService : " + ne.getMessage());
            return false;
        }
        return (zip != null);
    }

    public boolean lookupServiceName() {
        logger.log(BasicLevel.DEBUG, "lookupServiceName");
        zip = null;
        try {
            InitialContext ic = new InitialContext();
            zip = (Service) ic.lookup("java:comp/env/service/FrenchZip");
        } catch (NamingException ne) {
            logger.log(BasicLevel.ERROR, "looking java:comp/env/service/FrenchZip : " + ne.getMessage());
            return false;
        }
        return (zip != null);
    }

    public String getDepartmentForCode(String s) throws ServiceException, RemoteException {
        logger.log(BasicLevel.DEBUG, "getDepartmentForCode");

        lookupServiceName();
        Call call = zip.createCall(new QName("IODCODESPOSTAUXPort"),
                                   new QName("GetDepartmentForCode"));
        String ret = (String) call.invoke(new Object[] {s});

        logger.log(BasicLevel.DEBUG, "returned : '" + ret + "'");
        return ret;
    }

    public String getDepartmentAdminCenterForCode(String s) throws ServiceException, RemoteException {
        logger.log(BasicLevel.DEBUG, "getDepartmentAdminCenterForCode");
        lookupServiceName();
        Call call = zip.createCall(new QName("IODCODESPOSTAUXPort"),
                                   new QName("GetDepartmentAdminCenterForCode"));

        String ret = (String) call.invoke(new Object[] {s});

        logger.log(BasicLevel.DEBUG, "returned : '" + ret + "'");
        return ret;
    }
}

