// WsClient2EC2R.java
package org.objectweb.jonas.jtests.beans.wsclient;

import java.rmi.RemoteException;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.xml.rpc.ServiceException;

import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;

import org.objectweb.jonas.common.Log;
import org.objectweb.jonas.jtests.gen.zip.IODCODESPOSTAUX;
import org.objectweb.jonas.jtests.gen.zip.IODCODESPOSTAUXservice;

/**
 *
 */
public  abstract class WsClient2EC2R implements javax.ejb.EntityBean {

    static private Logger logger = null;
    javax.ejb.EntityContext ejbContext;


    IODCODESPOSTAUXservice zip;
    IODCODESPOSTAUX port;

 
    public java.lang.String ejbCreate(int f1, int f2, java.lang.String f3) throws javax.ejb.CreateException{
        logger.log(BasicLevel.DEBUG, "");

        // Init here the bean fields
        setField1(f1);
	setField2(f2);
	setField3(f3);
        return null;
    }

    public void ejbPostCreate(int f1, int f2, java.lang.String f3) {
        logger.log(BasicLevel.DEBUG, "");
    }

    // ------------------------------------------------------------------
    // Persistent fields
    // 
    // ------------------------------------------------------------------
    public abstract int getField1();
    public abstract void setField1(int f1);

    public abstract int getField2();
    public abstract void setField2(int f2);

    public abstract java.lang.String getField3();
    public abstract void setField3(java.lang.String f3);

    // ------------------------------------------------------------------
    // Standard call back methods
    // ------------------------------------------------------------------

 
    public void setEntityContext(javax.ejb.EntityContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = ctx;
    }


    public void unsetEntityContext() {
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = null;
    }

    public void ejbRemove() throws javax.ejb.RemoveException {
        logger.log(BasicLevel.DEBUG, "");
    }

 
    public void ejbLoad() {
        logger.log(BasicLevel.DEBUG, "");
    }


    public void ejbStore() {
        logger.log(BasicLevel.DEBUG, "");
    }
        

    public void ejbPassivate() {
        logger.log(BasicLevel.DEBUG, "");
    }


    public void ejbActivate() {
        logger.log(BasicLevel.DEBUG, "");
    }    

    // ------------------------------------------------------------------
    // WsClient1 implementation
    // ------------------------------------------------------------------

    public boolean lookupServiceJNDI() {
        logger.log(BasicLevel.DEBUG, "lookupServiceJNDI");
        zip = null;
        try {
            InitialContext ic = new InitialContext();
            zip = (IODCODESPOSTAUXservice) ic.lookup("ws/FrenchZipService");
        } catch (NamingException ne) {
            logger.log(BasicLevel.ERROR, "looking ws/FrenchZipService : " + ne.getMessage());
            return false;
        }
        return (zip != null);
    }

    public boolean lookupServiceName() {
        logger.log(BasicLevel.DEBUG, "lookupServiceName");
        zip = null;
        try {
            InitialContext ic = new InitialContext();
            zip = (IODCODESPOSTAUXservice) ic.lookup("java:comp/env/service/FrenchZip");
        } catch (NamingException ne) {
            logger.log(BasicLevel.ERROR, "looking java:comp/env/service/FrenchZip : " + ne.getMessage());
            return false;
        }
        return (zip != null);
    }

    public String getDepartmentForCode(String s) throws ServiceException, RemoteException {
        logger.log(BasicLevel.DEBUG, "getDepartmentForCode");

        lookupServiceName();
        IODCODESPOSTAUX port = zip.getIODCODESPOSTAUXPort();
        String ret = port.getDepartmentForCode(s);

        logger.log(BasicLevel.DEBUG, "returned : '" + ret + "'");
        return ret;
    }

    public String getDepartmentAdminCenterForCode(String s) throws ServiceException, RemoteException {
        logger.log(BasicLevel.DEBUG, "getDepartmentAdminCenterForCode");

        lookupServiceName();
        IODCODESPOSTAUX port = zip.getIODCODESPOSTAUXPort();
        String ret = port.getDepartmentAdminCenterForCode(s);

        logger.log(BasicLevel.DEBUG, "returned : '" + ret + "'");
        return ret;
    }

}



