// FsbClientSFL.java
// Stateful Session Bean

package org.objectweb.ws.beans.fsbclient;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.SessionSynchronization;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;


/**
 *
 */
public class FsbClientSFL implements SessionBean, SessionSynchronization {

    static private Logger logger = null;
    SessionContext ejbContext;

    // ------------------------------------------------------------------
    // SessionSynchronization implementation
    // ------------------------------------------------------------------

 
    public void afterBegin() {
        logger.log(BasicLevel.DEBUG, "");
    }



    public void beforeCompletion() {
        logger.log(BasicLevel.DEBUG, "");
    }


    public void afterCompletion(boolean committed) {
        logger.log(BasicLevel.DEBUG, "");
    }


    // ------------------------------------------------------------------
    // SessionBean implementation
    // ------------------------------------------------------------------


    public void setSessionContext(SessionContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = ctx;
    }
        

    public void ejbRemove() {
        logger.log(BasicLevel.DEBUG, "");
    }
        

    public void ejbCreate() throws CreateException {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbPassivate() {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbActivate() {
        logger.log(BasicLevel.DEBUG, "");
    }
    
    // ------------------------------------------------------------------
    // FsbClient implementation
    // ------------------------------------------------------------------

    /**
     * method1
     */
    public void method1() {
        logger.log(BasicLevel.DEBUG, "");
    }

    /**
     * method2
     */
    public void method2(java.lang.String s) {
        logger.log(BasicLevel.DEBUG, "");
    }
}

